---
title: WebGLRenderingContext.isContextLost()
slug: Web/API/WebGLRenderingContext/isContextLost
tags:
  - API
  - Context
  - Lost
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
  - isContextLost
---
<div>{{APIRef("WebGL")}}</div>

<p><span class="seoSummary">The <code><strong>WebGLRenderingContext.isContextLost()</strong></code> method returns a {{jsxref("Boolean")}} indicating whether or not the WebGL context has been lost and must be re-established before rendering can resume.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>let <em>isLost</em> = <em>gl</em></var>.isContextLost();</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}} which is <code>true</code> if the context is lost, or <code>false</code> if not.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>There are several reasons why a WebGL context may be lost, making it necessary to re-establish the context before resuming rendering. Examples include:</p>

<ul>
 <li>Two or more pages are using the GPU, but together place too high a demand on the GPU, so the browser tells the two contexts that they've lost the connection, then selects one of the two to restore access for.</li>
 <li>The user's computer has multiple graphics processors (such as a laptop with both mobile and desktop class GPUs, the former used primarily when on battery power), and the user or system decides to switch GPUs. In this case, all contexts are lost, then restored after switching GPUs.</li>
 <li>Another page running in the user's browser performs an operation using the GPU that takes too long, causing hte browser to decide to reset the GPU in order to break the stall. This would cause every WebGL context to be lost throughout the entire browser.</li>
 <li>The user updates their graphics driver on an operating system that allows graphics drivers to be updated without restarting the system.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>For example, when checking for program linking success, you could also check if the context is not lost:</p>

<pre class="brush: js">gl.linkProgram(program);

if (!gl.getProgramParameter(program, gl.LINK_STATUS) &amp;&amp; !gl.isContextLost()) {
  var info = gl.getProgramInfoLog(program);
  console.log('Error linking program:\n' + info);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#5.14.13", "WebGLRenderingContext.isContextLost")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.isContextLost")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("WebGLContextEvent")}} signals changes in the context state.</li>
 <li><a href="https://www.khronos.org/webgl/wiki/HandlingContextLost">Handling lost context in WebGL</a>: Khronos WebGL wiki</li>
</ul>
